/******************************************************************
*  源程序名：ModelTask4_2_1.cpp                  　　　　　　　   *
*  功能：用switch语句实现根据输入的字符输出相应的提示信息 　      *
******************************************************************/
#include <iostream.h>
void main()
{
	char ch;
	cout<<"请输入一个字符（a/A/s/S/m/M/d/D）：";
	cin>>ch;
	if(ch>='a' && ch<='z')	     //实现小写字母转换为大写字母
		ch=ch-32;
    switch(ch)
    {
		case 'A' :
			cout<<"Addition"<<endl;
			break;     //break的作用是当执行某个分支后就跳出switch语句
		case 'S':
			cout<<"Subtration"<<endl;
			break;
		case 'M':
			cout<<"Multiplication"<<endl;
			break;
		case 'D':
			cout<<"Division"<<endl;
			break;
		default :  
			cout<<"输错了！"<<endl;
	}
}
